Package groovy.util

# Enum Class ObservableSet.ChangeType

java.lang.Object
java.lang.Enum<ObservableSet.ChangeType>
groovy.util.ObservableSet.ChangeType

All Implemented Interfaces:
  `Serializable`, `Comparable<ObservableSet.ChangeType>`, `Constable`

Enclosing class:
  ObservableSet<E>

public static enum ObservableSet.ChangeType extends Enum<ObservableSet.ChangeType>
Enumerates the specialized set change events.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDED`
  A single element was added.
  `CLEARED`
  The set was cleared.
  `MULTI_ADD`
  Multiple elements were added.
  `MULTI_REMOVE`
  Multiple elements were removed.
  `NONE`
  No specialized change type applies.
  `REMOVED`
  A single element was removed.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Object`
  `newValue`
  Placeholder new value for aggregated events.
  `static final Object`
  `oldValue`
  Placeholder old value for aggregated events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ObservableSet.ChangeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ObservableSet.ChangeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADDED

    public static final ObservableSet.ChangeType ADDED
    A single element was added.

  - ### REMOVED

    public static final ObservableSet.ChangeType REMOVED
    A single element was removed.

  - ### CLEARED

    public static final ObservableSet.ChangeType CLEARED
    The set was cleared.

  - ### MULTI_ADD

    public static final ObservableSet.ChangeType MULTI_ADD
    Multiple elements were added.

  - ### MULTI_REMOVE

    public static final ObservableSet.ChangeType MULTI_REMOVE
    Multiple elements were removed.

  - ### NONE

    public static final ObservableSet.ChangeType NONE
    No specialized change type applies.

- ## Field Details

  - ### oldValue

    public static final Object oldValue
    Placeholder old value for aggregated events.

  - ### newValue

    public static final Object newValue
    Placeholder new value for aggregated events.

- ## Method Details

  - ### values

    public static ObservableSet.ChangeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ObservableSet.ChangeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null